Index: Makefile
===================================================================
--- Makefile	(rÃ©vision 9028)
+++ Makefile	(copie de travail)
@@ -11,7 +11,7 @@
 		       $(foreach fmt,$(FORMATS), \
 		           $(lng)/developers-reference.$(fmt)))
 # list of targets, that currently cannot build
-BLACKLIST	:= ja/developers-reference.pdf
+#BLACKLIST	:= ja/developers-reference.pdf
 
 # hopefully overwritten by caller, e.g. debian/rules
 VERSION=unknown
@@ -26,7 +26,7 @@
 # - docbook2pdf (seems to die on UTF-8, #431085); and
 # - fop is currently in contrib, but can go to main, see #366783
 # - xmlroff (not mature enough, #182445)
-DBLATEX=dblatex --style=db2latex
+DBLATEX=dblatex
 # The "--keep 0" should be removed as soon as the translations are ready
 TRANSLATE=po4a-translate --format docbook --keep 0
 
@@ -95,10 +91,22 @@
 	$(XP) $(DBK2HTML1) $(@D)/index.dbk \
 	    | w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@
 
+XP		:= xsltproc --nonet --novalid --xinclude
+XSLT		:= xslt
+DRAFTMODE	:= maybe
+
 developers-reference.pdf:       $(CURDIR)/developers-reference.pdf
 %/developers-reference.pdf:     $(addprefix %/,$(SOURCES))
-	TOP=`pwd` && cd $(@D) && $(DBLATEX) index.dbk \
-	    && mv index.dbk.pdf $(@F)
+	@test -n "`which $(DBLATEX)`"  || { echo "E: dblatex not found. Please install the dblatex package." ; false ;  }
+	export TEXINPUTS=".:"; \
+	$(XP) $(XSLT)/dblatex.xsl $(@D)/index.dbk | \
+	$(DBLATEX) --style=db2latex \
+		--backend=xetex \
+		--xsl-user=$(XSLT)/user_param.xsl \
+		--xsl-user=$(XSLT)/xetex_param.xsl \
+		--param=draft.mode=$(DRAFTMODE) \
+		--param=lingua=$(@D) \
+		--output=$< -
 
 .PHONY: pot
 pot:				$(patsubst %.dbk,po4a/po/%.pot,$(SOURCES))
Index: xslt/user_param.xsl
===================================================================
--- xslt/user_param.xsl	(rÃ©vision 9028)
+++ xslt/user_param.xsl	(copie de travail)
@@ -18,7 +18,9 @@
   <xsl:template match="book|article" mode="docinfo">
     <!-- Apply default settings -->
     <xsl:apply-imports/>
+    <!--
     <xsl:text>\input{</xsl:text>po4a/hyphenation.<xsl:value-of select="$lingua"/><xsl:text>.tex}</xsl:text>
+    -->
   </xsl:template>
 </xsl:stylesheet>
 
